import 'package:easy_localization/easy_localization.dart';
import 'package:flutter/material.dart';

import 'package:stopmotion/ui/widgets/app_titles.dart';
import 'package:stopmotion/ui/widgets/settings_form.dart';
import 'package:unicons/unicons.dart';

class ScreenSettings extends StatelessWidget {
  const ScreenSettings({super.key});

  static Icon navBarIcon = const Icon(UniconsLine.setting);
  static String navBarText = 'bottom_nav_settings';

  @override
  Widget build(BuildContext context) {
    return Material(
      color: Theme.of(context).colorScheme.background,
      child: ListView(
        padding: const EdgeInsets.symmetric(horizontal: 4),
        physics: const BouncingScrollPhysics(),
        children: <Widget>[
          const SizedBox(height: 8),
          AppTitle1(text: tr('settings_title')),
          const SettingsForm(),
        ],
      ),
    );
  }
}
